> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infercrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List verified tenant-owned compute connections without returning credentials



## OpenAPI

````yaml /openapi.json get /api/v1/compute/connections
openapi: 3.1.0
info:
  description: >-
    Durable, authenticated control-plane operations. Mutation responses may
    outlive the requesting client.
  title: InferCrane Control API
  version: 1.0.0
servers:
  - description: Local InferCrane API and gateway
    url: http://127.0.0.1:18000
security: []
tags:
  - name: Admission
  - name: Adoption
  - name: Alerts
  - name: Async inference
  - name: Audit
  - name: Autopilot
  - name: Benchmarks
  - name: Billing
  - name: Billing administration
  - name: Burst Guard
  - name: Capacity intelligence
  - name: Compute
  - name: Context Passport
  - name: Deployments
  - name: Diagnostics
  - name: Endpoints
  - name: External capacity
  - name: FinOps
  - name: Identity
  - name: Inference
  - name: Inference Lab
  - name: Inference decisions
  - name: Inference optimization
  - name: Infrastructure
  - name: Marketplace administration
  - name: Model API administration
  - name: Model APIs
  - name: Model artifacts
  - name: Model catalog
  - name: Monitoring
  - name: Operations
  - name: Planning
  - name: Providers
  - name: Recipes
  - name: Release Guard
  - name: Release evidence
  - name: Replay
  - name: Revisions
  - name: Routing
  - name: Sandboxes
  - name: Scaling
  - name: Secrets
  - name: System
  - name: Targets
  - name: Training lineage
paths:
  /api/v1/compute/connections:
    get:
      tags:
        - Compute
      summary: >-
        List verified tenant-owned compute connections without returning
        credentials
      operationId: listComputeConnections
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComputeConnectionList'
          description: Success
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Typed API error
      security:
        - bearerAuth: []
components:
  schemas:
    ComputeConnectionList:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: '#/components/schemas/ComputeConnection'
          type: array
      required:
        - data
      type: object
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
      type: object
    ComputeConnection:
      additionalProperties: false
      properties:
        adapter:
          enum:
            - runpod-pods
          type: string
        created_at:
          format: date-time
          type: string
        id:
          type: string
        name:
          type: string
        provider:
          enum:
            - runpod
          type: string
        status:
          enum:
            - verified
            - revoked
          type: string
        updated_at:
          format: date-time
          type: string
        verified_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - provider
        - adapter
        - status
        - verified_at
        - created_at
        - updated_at
      type: object
    Error:
      properties:
        category:
          type: string
        code:
          type: string
        message:
          type: string
        remediation:
          type: string
        request_id:
          type: string
        retryable:
          type: boolean
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.